# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KResolverWorkerBase< T >::ResolverLocker Class Reference

Helper class for locking the resolver subsystem. More...

`#include <kresolverworkerbase.h>`

List of all members.

## Public Member Functions

| ResolverLocker (KResolverWorkerBase *parent)
| ~ResolverLocker ()
void | openClose ()

## Detailed Description

### template<class T>
class KNetwork::KResolverWorkerBase< T >::ResolverLocker

Helper class for locking the resolver subsystem.

Similar to QMutexLocker.

Author:
  Luís Pedro Coelho

Since:
  3.4

Definition at line 71 of file kresolverworkerbase.h.

## Constructor & Destructor Documentation

template<class T>
KNetwork::KResolverWorkerBase< T >::ResolverLocker::ResolverLocker | ( | KResolverWorkerBase * | parent | ) | `[inline]`

| Constructor. Acquires a lock. Definition at line 77 of file kresolverworkerbase.h.

template<class T>
KNetwork::KResolverWorkerBase< T >::ResolverLocker::~ResolverLocker | ( |  | ) | `[inline]`

| Destructor. Releases the lock. Definition at line 86 of file kresolverworkerbase.h.

## Member Function Documentation

template<class T>
void KNetwork::KResolverWorkerBase< T >::ResolverLocker::openClose | ( |  | ) | `[inline]`

| Releases the lock and then reacquires it. It may be necessary to call this if the resolving function decides to retry. Definition at line 96 of file kresolverworkerbase.h.

The documentation for this class was generated from the following file:

- kresolverworkerbase.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003